=== scripts/requirements.txt ===
pyparsing==3.0.9
black
isort
mypy
