=== debian/changelog ===
neovim-conform (9.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1126299)

 -- Matthias Geiger <werdahias@debian.org>  Fri, 23 Jan 2026 20:16:13 +0100
