=== debian/control ===
Source: neovim-conform
Section: editors
Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-vim-addon,
Standards-Version: 4.7.3
Homepage: https://github.com/stevearc/conform.nvim
Vcs-Browser: https://salsa.debian.org/vim-team/neovim-conform
Vcs-Git: https://salsa.debian.org/vim-team/neovim-conform.git

Package: neovim-conform
Architecture: all
Depends:
 ${misc:Depends},
 ${vim-addon:Depends},
Recommends:
 ansible-lint,
 astyle,
 autoflake,
 autopep8,
 black,
 clang-format,
 codespell,
 crystal,
 findent,
 gawk,
 ghdl,
 gojq,
 hurlfmt,
 indent,
 isort,
 jq,
 just,
 markdownlint,
 mdformat,
 ocamlformat,
 ocp-indent,
 ormolu,
 perlimports,
 perltidy,
 puppet-lint,
 python-ly,
 pyupgrade,
 rubocop,
 rustfmt,
 shellcheck,
 shfmt,
 sqlfluff,
 stylish-haskell,
 swift,
 tex-fmt,
 uncrustify,
 xmlstarlet,
 yapf,
 yq,
Description: formatter plugin for Neovim
 Plugin for Neovim that provides lightweight and powerful formatting
 conform supports a wide range of formatters, range formatting,
 formatting of embedded code blocks and preserves extmarks and folds.
 .
 For a list of all supported formatters see :h conform-formatters
 .
 This is a neovim-only plugin.
