=== debian/watch ===
Version: 5

Source: https://github.com/stevearc/conform.nvim/tags
Matching-Pattern: .*/v?(\d\S*)\.tar\.gz
Filenamemangle: s/.+\/v?(\d\S*)\.tar\.gz/conform-$1\.tar\.gz/
